# Trade Finance

Version: 1.0

## Servers

Sandbox
```
https://api.solaris-sandbox.de
```

Production
```
https://api.solarisbank.de
```

## Download OpenAPI description

[Trade Finance](https://docs.solarisgroup.com/_bundle/api-reference/lending/trade-finance.yaml)

## Business Trade Finance

### Create Trade Finance application

 - [POST /v1/businesses/{business_id}/trade_finance_applications](https://docs.solarisgroup.com/api-reference/lending/trade-finance/business-trade-finance/tradefinanceweb.v1.applications.createoperation.md): Creates an application for a trade credit line for the business specified in the request URL. Solarisbank will process the application manually. Use the GET endpoint to retrieve information about the application's status.

### Retrieve a Trade Finance application

 - [GET /v1/businesses/{business_id}/trade_finance_applications/{id}](https://docs.solarisgroup.com/api-reference/lending/trade-finance/business-trade-finance/tradefinanceweb.v1.applications.showoperation.md): Returns the Trade Finance application specified in the request URL. Use this endpoint to display the status of the application to the customer.

### Add document to a Trade Finance application

 - [POST /v1/businesses/{business_id}/trade_finance_applications/{id}/documents](https://docs.solarisgroup.com/api-reference/lending/trade-finance/business-trade-finance/tradefinanceweb.v1.applications.adddocumentoperation.md): Attaches a previously uploaded document to the business's Trade Finance application. Note that you must upload the document using the POST Upload a document for a business endpoint.

### Create trade

 - [POST /v1/businesses/{business_id}/trade_credit_line/trades](https://docs.solarisgroup.com/api-reference/lending/trade-finance/business-trade-finance/tradefinanceweb.v1.trades.createoperation.md): Creates a trade. Note that you must upload the documents related to the trade using the POST Upload business document endpoint and then attach them to the trade using the POST Add document to trade endpoint.

### Retrieve a trade

 - [GET /v1/businesses/{business_id}/trade_credit_line/trades/{id}](https://docs.solarisgroup.com/api-reference/lending/trade-finance/business-trade-finance/tradefinanceweb.v1.trades.showoperation.md): Returns the Trade Finance application specified in the request URL. Use this endpoint to display the status of the application to the customer.

### Add document to trade

 - [POST /v1/businesses/{business_id}/trade_credit_line/trades/{trade_id}/documents](https://docs.solarisgroup.com/api-reference/lending/trade-finance/business-trade-finance/tradefinanceweb.v1.trades.adddocumentoperation.md): Adds a supporting document (e.g., the trade invoice) to a trade. Note that you must first upload these documents using the POST Upload a document for a business endpoint.

### Add payback plan to trade

 - [PUT /v1/businesses/{business_id}/trade_credit_line/trades/{trade_id}/payback_plan](https://docs.solarisgroup.com/api-reference/lending/trade-finance/business-trade-finance/tradefinanceweb.v1.trades.createpaybackplanoperation.md): Adds a payback plan to a trade, which determines when the loan will be paid out to the business and when the business must pay it back.

### Attach account to business trade credit line

 - [PATCH /v1/businesses/{business_id}/trade_credit_line](https://docs.solarisgroup.com/api-reference/lending/trade-finance/business-trade-finance/tradefinanceweb.v1.creditlines.updateoperation.md): Attaches a business account to the trade credit line for the business specified in the request URL.

